<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.security">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="deep-copy-subject-mode,initialize-jacc"/>
        <elem name="addr-params" value="profile,subsystem"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.security"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.legacy-security.subject-factory"/>
        <capability name="$profile.org.wildfly.legacy-security"/>
        <capability name="$profile.org.wildfly.legacy-security.server-security-manager"/>
    </provides>
    <refs>
        <ref feature="extension" include="true"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="host" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="security"/>
        <param name="extension" default="org.jboss.as.security"/>
        <param name="deep-copy-subject-mode" nillable="true"/>
        <param name="initialize-jacc" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
    <packages>
        <package name="javax.security.auth.message.api"/>
        <package name="org.jboss.as.security"/>
    </packages>
</feature-spec>